VIGRA - TemplateRGBPrime2RGBFunctor class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| RGBPrime2RGBFunctor Class Template Reference |
--- | --- | ---

Convert non-linear (gamma corrected) R'G'B' into non-linear (raw) RGB. More...

`#include "vigra/colorconversions.hxx"`

## Public Types
typedef TinyVector< From, 3 > | argument_type
typedef RGBValue< To > | result_type
typedef RGBValue< To > | value_type
typedef NumericTraits< To >::RealPromote | component_type
## Public Methods
| RGBPrime2RGBFunctor ()
| RGBPrime2RGBFunctor (component_type max)
result_type | operator() (argument_type const &rgb) const

## Detailed Description

### template<class From, class To = From>
class vigra::RGBPrime2RGBFunctor< From, To >

Convert non-linear (gamma corrected) R'G'B' into non-linear (raw) RGB.

#include "vigra/colorconversions.hxx"
Namespace: vigra

The functor realizes the transformation

By default, . This default can be overridden in the constructor. If both source and target colors components are stored as `unsigned char`, a look-up-table will be used to speed up the transformation.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)``

## Member Typedef Documentation

typedef TinyVector<From, 3> argument_type

| the functor's argument type

typedef NumericTraits<To>::RealPromote component_type

| the result component's promote type

typedef RGBValue<To> result_type

| the functor's result type

typedef RGBValue<To> value_type

| Deprecated: use argument_type and result_type

## Constructor & Destructor Documentation

RGBPrime2RGBFunctor | ( |  | ) | `[inline]`

| Default constructor. The maximum value for each RGB component defaults to 255.

RGBPrime2RGBFunctor | ( | component_type | max | ) | `[inline]`

| constructor max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | argument_type const & | rgb | ) | const`[inline]`

| apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)